Oore CI
ReferenceAPIOperationsAPI Tokens

List API tokens

Returns all API tokens visible to the caller. Admins and owners see all tokens; other roles see only their own.

Operation IDlist_api_tokens
GET
/v1/api-tokens

Returns all API tokens visible to the caller. Admins and owners see all tokens; other roles see only their own.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Query Parameters

q?string

Search API tokens

sort?string

Sort field

direction?string

Sort direction

limit?integer

Page size

Formatint64
offset?integer

Page offset

Formatint64

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/api-tokens"
{  "tokens": [    {      "created_at": 0,      "created_by": "string",      "created_by_email": "string",      "expires_at": 0,      "id": "string",      "is_expired": true,      "is_revoked": true,      "last_used_at": 0,      "name": "string",      "prefix": "string",      "role": "owner"    }  ],  "total": 0}